<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="COWS.Mach5SenderService.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <connectionStrings>
    <add name="ConnectionString" connectionString="%COWS_DB_CONNECT_STRING%" />
  </connectionStrings>
  <appSettings>
    <add key="ServiceName" value="COWS.Mach5SenderService" />
    <add key="RequestSleepTime" value="%MACH5_SENDER_SVC_REQ_SLEEP_TIME%" />

    <add key="LogDirectoryList" value="%MACH5_SENDER_SVC_LOG_DIR_LIST%"/>
    <add key="LogUser" value="%MACH5_SENDER_SVC_LOG_USER%"/>
    <add key="LogQueueGrowFactor" value="%MACH5_SENDER_SVC_LOG_QUEUE_GROW_FACTOR%"/>
    <add key="LogTimer" value="%MACH5_SENDER_SVC_LOG_TIMER%"/>
    <add key="LogType" value="%MACH5_SENDER_SVC_LOG_TYPE%"/>
    <add key="LogQueueSize" value="%MACH5_SENDER_SVC_LOG_QUEUE_SIZE%"/>
    <add key="LogXSL" value="%MACH5_SENDER_SVC_LOG_XSL%"/>
    <add key="LogNameList" value="%MACH5_SENDER_SVC_LOG_NAME_LIST%"/>
    <add key="LogMode" value="%MACH5_SENDER_SVC_LOG_MODE%"/>
    <add key="LogQueueFlushSize" value="%MACH5_SENDER_SVC_LOG_QUEUE_FLUSH_SIZE%"/>
    <add key="ClientSettingsProvider.ServiceUri" value="" />

    <add key="sharedSecret" value="%MACH5_SENDER_SVC_SHAREDSECRET%"/>
	<add key="redesignSharedSecret" value="%MACH5_SENDER_SVC_REDESIGNSHAREDSECRET%"/>
    <add key="Url" value="%MACH5_SENDER_SVC_URL%"/>
    
    
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2" />
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <applicationSettings>
    <COWS.Mach5SenderService.Properties.Settings>
      <setting name="%MACH5_SENDER_PS_KEY_NAME%"
        serializeAs="String">
        <value>%MACH5_SENDER_URL_VALUE%</value>
      </setting>
	  <setting name="%MACH5_SENDER_RCS_KEY_NAME%"
        serializeAs="String">
        <value>%MACH5_SENDER_REDESIGN_URL_VALUE%</value>
      </setting>
    </COWS.Mach5SenderService.Properties.Settings>
  </applicationSettings>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="ProvisioningServiceSoapBinding" />
		<binding name="RedesignChargeServiceSoapBinding" />
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="%MACH5_SENDER_URL_VALUE%"
        binding="basicHttpBinding" bindingConfiguration="ProvisioningServiceSoapBinding"
        contract="Mach5WebSrvc.Provisioning" name="ProvisioningServicePort" />
	  <endpoint address="%MACH5_SENDER_REDESIGN_URL_VALUE%"
        binding="basicHttpBinding" bindingConfiguration="RedesignChargeServiceSoapBinding"
        contract="RedesignChargeServiceReference.RedesignCharge" name="RedesignChargeServicePort" />
    </client>
  </system.serviceModel>
</configuration>